#!/usr/bin/perl -I/usr/sausalito/perl -I/usr/sausalito/handlers/base/power
# $Id: syncWakemode.pl,v 1.2 2001/10/01 23:45:34 jcheng Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

use strict;
use CCE;
use Sauce::Util;
use I18n;

my $cce = new CCE("Namespace" => "Power");
$cce->connectuds();

my ($sysoid) = $cce->find('System');
my ($ok, $badkeys, @info) = $cce->set($sysoid, 'Power', { 'set_modes_now' => time });

if (!$ok) {
    $cce->warn('[[base-power.errBootTimeWake]]');
    $cce->bye('FAIL');
    exit 1;
}

$cce->bye('SUCCESS');
exit 0;
